
SATISFIABLE = 0
UNSATISFIABLE = 1
FALSE_NEGATIVE = 2
FALSE_POSITIVE = 3

def getComparisonStatus(comparison):
    if (comparison["minisat_satisfiable"] and
        comparison["qubo_satisfiable"]):
        return SATISFIABLE
        
    elif (not comparison["minisat_satisfiable"] and
          not comparison["qubo_satisfiable"]):
        return UNSATISFIABLE
        
    elif (comparison["minisat_satisfiable"] and
          not comparison["qubo_satisfiable"]):
        return FALSE_NEGATIVE
        
    elif (not comparison["minisat_satisfiable"] and
          comparison["qubo_satisfiable"]):
        return FALSE_POSITIVE
    
